Groundeddocs
ReferencePublic agents and widget

A public agent's profile by its team address (/a/{team}/{agent}), for anonymous visitors

GET/v1/public/teams/{team}/agents/{agent}

The same as GET /v1/public/agents/{agentRef}; 404 unless the agent is published to the public audience.

Path Parameters

team*string

The team's slug

agent*string

The agent's slug

Response Body

application/json

application/json

application/json

curl -X GET "https://example.com/v1/public/teams/string/agents/string"
{  "data": {    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",    "name": "string",    "teamName": "string",    "description": "string",    "accentColor": "string",    "welcomeMessage": "string",    "starterQuestions": [      "string"    ],    "citationMode": "none",    "status": "active",    "shortName": "string",    "captcha": {      "provider": "none",      "siteKey": "string"    },    "maxMessageChars": 0  }}